<template lang="pug">
section.section.search-section
  .search-section__bg(
    :style="{ backgroundImage: bg ? `url(${bg})` : null }"
  )
  .section__inner.search-section__inner
    .container.search-section__container
      h1.search-section__title(v-if="title") {{ title }}

      booking-form(
        v-if="showForm"
        :copy-button="copyButton"
        :email-title="emailTitle"
        :share-button="shareButton"
        :success-content="successContent"
        :success-title="successTitle"
        :title="formTitle"
      )

      socials(
        v-if="showSocials"
        classes="social--white social--vertical search-section__social"
      )
</template>

<script>
import objectFitImages from 'object-fit-images'

export default {
  name: 'SearchSection',

  mounted () {
    objectFitImages()
  },

  props: {
    bg: {
      type: [String, null],
      required: false,
      default: null
    },
    copyButton: {
      type: [String, null],
      required: false,
      default: null
    },
    emailTitle: {
      type: [String, null],
      required: false,
      default: null
    },
    formTitle: {
      type: [String, null],
      required: false,
      default: null
    },
    shareButton: {
      type: [String, null],
      required: false,
      default: null
    },
    showForm: {
      type: Boolean,
      required: false,
      default: true
    },
    showSocials: {
      type: Boolean,
      required: false,
      default: true
    },
    successContent: {
      type: [String, null],
      required: false,
      default: null
    },
    successTitle: {
      type: [String, null],
      required: false,
      default: null
    },
    title: {
      type: [String, null],
      required: false,
      default: null
    }
  }
}
</script>
